
QGIS Application - Bug report #3669

GDAL Tools: rasterize overwrite existing raster without asking for confirmation

2011-03-23 12:15 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13728

Description

When rasterizing a vector, an existing raster is silently overwritten. This is not safe.

History

#1 - 2011-04-11 04:39 AM - Giuseppe Sucameli

When you select the output file (by click on the Select button) the tool ask for confirmation if you select an existent file.

When should it ask for?

#2 - 2011-04-14 03:45 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

It does not ask, at least not in my case (GDAL 1.7). However, this is solved in GDAL 1.8, so I think we can close this.
